<?php
/**
 * @file
 * Deputy system for Deputy Site Settings.
 */

/**
 * Settings callback.
 */
function deputy_site_settings_settings_form(&$form_state) {
  $form = array();

  $form['site_name'] = array(
    '#type' => 'textfield',
    '#title' => t('Site name'),
    '#default_value' => variable_get('site_name', FALSE),
  );

  $form['site_footer'] = array(
    '#type' => 'textarea',
    '#title' => t('Footer text'),
    '#default_value' => variable_get('site_footer', ''),
  );

  $form['user_register'] = array(
    '#type' => 'radios',
    '#title' => t('Registration'),
    '#description' => t('How users join the site.'),
    '#default_value' => variable_get('user_register', 1),
    '#options' => array(
      t('Only site administrators can create new user accounts.'),
      t('Visitors can create accounts and no administrator approval is required.'),
      t('Visitors can create accounts but administrator approval is required.')
    ),
  );

  $zones = _system_zonelist();
  $form['date_default_timezone'] = array(
    '#type' => 'select',
    '#title' => t('Default time zone'),
    '#default_value' => variable_get('date_default_timezone', 0),
    '#options' => $zones,
    '#description' => t('Select the default site time zone.')
  );

  return $form;
}
